#ifndef LOEMPTYDIALOG_H
#define LOEMPTYDIALOG_H

#include <basedlg.h>
#include <base/customprogressindicator.h>
#include <QLabel>

class LoEmptyDialog : public BaseDlg {
    Q_OBJECT
public:
    explicit LoEmptyDialog(QWidget *parent = nullptr);
    int exec() override {
        emit startUp();
        return BaseDlg::exec();
    }
    CustomProgressIndicator *mIndicator{0};
signals:
    void startUp();
    void sigClose();
public slots:
    void lock(QString strTip,QString strUnLockTip,QString strTimerOutUnLockTip);
    void unlock();
    void TimerOutUnlock();
    bool getLockStatus();
    void SetFailedTipString(QString strTip);
    void SetTipTextContent(QString strTip);
private:
    QLabel *label;
    int iClosedFlag=0;
    bool iLockFlag = false;
    QString mFinishTip;
    QString mTimeroutTip;
    LoEmptyDialog *m_pSelf=nullptr;
    void CloseWndByDelaySec(int iCloseWndDelaySec);
};

#endif // LOEMPTYDIALOG_H
